#ifndef A3100_GLOBAL_H
#define A3100_GLOBAL_H

#define PACKAGE_DATA_DIR "/usr/share"
#define PACKAGE "A3100v2"
#define MODULE_MAX 7

struct control{
  int state[7];
  int modulenum;/*real number start 1*/
};
struct control cntl;

struct module_register{

  unsigned int ccr[16];
  unsigned int czlr[16];
  unsigned int clldr[16];
  unsigned int cgpwr[16];//for a3400 append 10/11/16
  unsigned int crtr[16];
  unsigned int cltr[16];
  unsigned int ctfsr[16];//for a3300 append 09/12/2
  unsigned int ccgr[16];
  unsigned int cpmr[16];
  unsigned int cpvr[16];
  unsigned int sproicr[16];
  unsigned int nproicr[16];

  unsigned int irqvr;
  unsigned int irqcr;
  unsigned int mcstar;
  unsigned int mcstcrm;
  unsigned int lbwpr;
  unsigned int lbrpr;
  unsigned int lbefr;
  unsigned int lbffr;
  unsigned int amr;
  unsigned int ecpvr;
  unsigned int ldspvr;
  unsigned int comgpwr;
  unsigned int acr;
  unsigned int mcsr;
  unsigned int lbsemr;
  unsigned int acsemr;
  unsigned int mir;//append 09/12/2
  unsigned int address;
  unsigned int atic;//mcsr
};
struct module_register m_reg[MODULE_MAX];

struct data_file{
  char folder[512];
  char fname[512];
  char setting[256];
  char setting2[256];
  char setting3[256];
  char setting4[256];
};
struct data_file d_f;

struct module_kind{
  int  num1;
  int  num2;
  int  num3;
  int  num4;
  int  m1[7];
  int  m2[7];
  int  m3[7];
  int  m4[7];
};
struct module_kind m_kind;

//int channel_gain[MODULE_MAX][16];
//char *module_desc[7];
#endif // A3100_GLOBAL_H
