#ifndef A3100_READ_SETTING
#define A3100_READ_SETTING
#include "global.h"

#define FIRST_SET_FILE  "/usr/share/A3100v2/firstset"
#define WINDOW_SET_FILE "/usr/share/A3100v2/winsetting.def"
#define ADDRESS_SET_FILE "/usr/share/A3100v2/address.def"

void create_def_file();
int read_address_def(struct control *c);
int read_setting_def(struct data_file *d,struct control *cntl);
int read_setting_file(char *fname);
void read_a3100_setting(char *fname);
void read_a3200_setting(char *fname);
void read_a3300_setting(char *fname);
void read_a3400_setting(char *fname);
void set_a3100_default(int module);
void set_a3200_default(int module);
void set_a3300_default(int module);
void set_a3400_default(int module);
#endif // A3100_READ_SETTING
